Subject: Re: bug#23144: shrinking windows with gtk 3.20

From: martin rudalics <[email-masked]>
Date: Fri, 24 Mar 2017 19:52:29 +0100

>> gtkutil.c has 19 uses of GTK_CHECK_VERSION and none of the function.  So
 >> we probably should replace them all.  Bit of annoying.

 > Not necessarily.  I think the macro is probably TRT in many (most?
 > all?) cases.  In the case at hand, the problem occurs only on the
 > emacs-25 branch, so I don't think we should worry about the other
 > uses.

In a sense, yes.  A macro is bad when a GTK "feature" is no more
available after upgrading like in the case at hand.  When a feature is
added due to upgrading it will be automatically incorporated in the next
build.  Only when someone detects that upgrading GTK breaks something
else and his Emacs already uses the upgraded version, downgrading may
also break the build.

Still I think that people who upgrade GTK should rebuild Emacs right
away.  Chances are that an upgraded GTK breaks something not covered by
GTK_CHECK_VERSION as well.

martin